<?php

namespace Drp\NativeEventApp\Scopes;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Scope;

class AuthenticatedRegistrationScope implements Scope
{
    public function apply(Builder $builder, Model $model): void // phpcs:ignore
    {
        $builder->where('id', auth()->user()->id);
    }
}
