<?php

use Drp\NativeEventApp\Migrations\CreateMenuItemsView as BaseCreateMenuItemsView;
use Illuminate\Database\Query\Builder;
use Illuminate\Support\Facades\DB;

class CreateMenuItemsView extends BaseCreateMenuItemsView
{
    protected function select(): Builder
    {
        return DB::table($this->tableName())
            ->select([
                'id',
                'menu_id as menuId',
                'navigatable_item_id as navigatableItemId',
                'order',
            ]);
    }
}
