<?php

namespace Drp\NativeEventApp\Modules\Types;

use Drp\NativeEventApp\Modules\Module;

class Hero extends Module
{
    /** @var ?string */
    public $backgroundImage;

    /** @var ?string */
    public $text;

    public static function getDescription(): string
    {
        return 'A hero band containing text and background image';
    }

    public function backgroundImage(string $backgroundImage): self
    {
        $this->backgroundImage = $backgroundImage;

        return $this;
    }

    public function text(string $text): self
    {
        $this->text = $text;

        return $this;
    }
}
